[![Build Status](https://travis-ci.org/silvioprog/microutils.svg?branch=master)](https://travis-ci.org/silvioprog/microutils)

MicroUtils
==========

Micro cross-platform C library for handling strings, files, regex, hashs, among others.

## Documentation

The documentation can be downloaded in [HTML](https://silvioprog.github.io/microutils/doc/html) and [PDF](https://silvioprog.github.io/microutils/doc/pdf).

## Installation on Ubuntu (apt)

```bash
sudo add-apt-repository ppa:silvioprog/microutils
sudo apt-get update
sudo apt-get install libmicroutils4
```

## Installation on Windows (pacman)

```bash
# MinGW-w64 32 bits
pacman -S mingw-w64-i686-libmicroutils

# MinGW-w64 64 bits
pacman -S mingw-w64-x86_64-libmicroutils
```

## Binaries for Windows (dlls)

Get latest library version for 32 or 64 bits and their respective signatures at [releases page](https://github.com/silvioprog/microutils/releases/latest).

*Download the dependencies for [32 bits](https://silvioprog.github.io/microutils/download/deps-dll-32bits.zip) and [64 bits](https://silvioprog.github.io/microutils/download/deps-dll-64bits.zip).*

## Build requirements

**On Linux**:

* libc

**On Windows:**

* libgcc
* libiconv
* libintl
* libsystre
* libtre
* libwinpthread
* zlib

## Contributing

New features, improvements, bugs and questions can be sent to our [issues page](
https://github.com/silvioprog/microutils/issues).

## Donations

Help us to maintain this project, make a donation!

<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=GE9VT768TLP74&lc=US&item_name=MicroUtils%20C%20library&item_number=microutils&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted">
  <img src="https://www.paypalobjects.com/en_US/GB/i/btn/btn_donateCC_LG.gif">
</a>

## Sponsors

[Duall Sistemas Ltda](https://duallsistemas.com.br).